<?php

namespace Litecms\Transactioninsert;

use User;

class Transactioninsert
{
    /**
     * $transactioninsert object.
     */
    protected $transactioninsert;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Transactioninsert\Interfaces\TransactioninsertRepositoryInterface $transactioninsert)
    {
        $this->transactioninsert = $transactioninsert;
    }

    /**
     * Returns count of transactioninsert.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.transactioninsert.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->transactioninsert->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\TransactioninsertUserCriteria());
        }

        $transactioninsert = $this->transactioninsert->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('transactioninsert::' . $view, compact('transactioninsert'))->render();
    }
}
